# Returns all orders as per search criteria provided in query. Search method returns only latest values. Returns all data or requested objects associated with the order. the search is performed only on the scope of the orders allowed for the api-consumer Endpoint: GET /orders Version: 1.0 Security: CognitoOAuth2Test, CognitoOAuth2Prod ## Query parameters: - `trailer_plate_id` (string) Search for the active orders with current assigned specific trailer plate id. This comes only in combination of open_orders is true. ## Response 200 fields (application/json): - `id` (string, required) System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6" - `order_id` (string, required) Girteka Internal unique identifier of the order. This is Girteka SAP ID Example: "ORD123456789" - `customer_order_id` (string) Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id. Example: "CUST987654321" - `customer_system_id` (string) System Unique identifier of the Order entry within customer systems. Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6" - `status` (string) Represents order status Example: "In Transit" - `customer` (object) - `customer.customer_id` (string, required) Unique identifier of the customer data entry Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6" - `customer.name` (string) The name of the customer Example: "My Best Company, UAB" - `customer.customer_vat` (string) VAT number of the customer Example: "LT123456789" - `customer.address` (object) - `customer.address.location_name` (string) Name of the location represented by address Example: "Cargo Centrale" - `customer.address.street` (string) Jasinskio - `customer.address.city` (string) City Example: "Vilnius" - `customer.address.zip` (string) Zip Code Example: "LT-2586" - `customer.address.country_code` (integer) Country Code Example: "440" - `customer.address.country` (string) Country Example: "Lithuania" - `customer.address.coordinates` (object) - `customer.address.coordinates.latitude` (number) Latitude of the address Example: 54.687157 - `customer.address.coordinates.longitude` (number) Longitude of the address Example: 25.279652 - `support_organisation` (object) - `support_organisation.phone` (string) Phone number of the customer Example: "000000000000" - `support_organisation.email` (string) Email of the customer Example: "info@girteka.eu" - `support_organisation.customer_care_id` (string) Uniq Identification of customer care agent Example: "15" - `cargo` (object) - `cargo.description` (string) Cargo description Example: "Motocyrcles" - `cargo.weightKg` (integer) Cargo weight in Kg Example: "600" - `cargo.volumeM3` (integer) Cargo volume in m3 Example: "60" - `order_stages` (object) - `order_stages.sequence` (integer) Sequence number of the order execution. This represent logical sequence number in order transportation. Example: "1" - `order_stages.transportation_type` (string) Represents the order execution transportation type. Enum: "road", "rail", "sea", "air" - `order_stages.sequence_start_datetime` (string) Timestamp of the start of the stage Example: "2025-05-06T14:30:00Z" - `order_stages.sequence_end_datetime` (string) Timestamp of the end of the stage Example: "2025-05-06T14:30:00Z" - `order_stages.stage_status` (string) Status of the stage Enum: "completed", "in_progress", "cancelled" - `order_stages.vehicle` (object) - `order_stages.vehicle.truck_license_plate` (string) License plate number of the truck Example: "ABC123" - `order_stages.vehicle.trailer_license_plate` (string) License plate number of the trailer Example: "TR4567" - `order_stages.vehicle.assign_timestmap` (string) Timestamp of the assignment Example: "2025-05-06T14:30:00Z" - `order_stages.vehicle.deasign_timestmap` (string) Timstamp of deasigning of vechicle. For current vechcle in use, deasign_timestmap is empty Example: "2025-05-06T14:30:00Z" - `order_stages.drivers` (array) List of drivers assigned to the fracht execution - `order_stages.drivers.first_name` (string) The name of the driver Example: "John" - `order_stages.drivers.last_name` (string) The name of the driver Example: "John" - `order_stages.drivers.documents` (array) List of driver documents - `order_stages.drivers.documents.document_type` (string) Type of the document Enum: "driving_licence", "passport" - `order_stages.drivers.documents.document_number` (string) Document number Example: "ABC123456" - `order_stages.drivers.documents.document_country` (string) Country of issue of the document Example: "LT" - `order_stages.drivers.documents.document_issue_date` (string) Date of issue of the document Example: "2020-01-01" - `order_stages.drivers.documents.document_expiry_date` (string) Date of expiry of the document Example: "2025-01-01" - `order_stages.drivers.documents.document_image` (string) Image of the document Example: "https://girteka.eu/image.jpg" - `order_stages.loading` (object) - `order_stages.loading.loading_refernceId` (string) Reference ID of the loading Example: "RTUPOU" - `order_stages.loading.loading_start` (string) Timestamp of the start of the loading Example: "2025-05-06T14:30:00Z" - `order_stages.loading.loading_end` (string) Timestamp of the end of the loading Example: "2025-05-06T14:30:00Z" - `order_stages.loading.loading_address` (object) - `order_stages.unloading` (object) - `order_stages.unloading.unloading_refernceId` (string) Reference ID of the loading Example: "RTUPOU" - `order_stages.unloading.unloading_start` (string) Timestamp of the start of the loading Example: "2025-05-06T14:30:00Z" - `order_stages.unloading.unloading_end` (string) Timestamp of the end of the loading Example: "2025-05-06T14:30:00Z" - `order_stages.unloading.unloading_address` (object) - `tracking` (object) This is data set for the gps location on the order - `tracking.timestamp` (string) Timestamp of the location reading Example: "2025-05-06T14:30:00Z" - `tracking.source` (string) GPS locations reading source Enum: "p44", "trailer", "truck" - `temperatures` (object) - `temperatures.temperature_setting` (number) Defines agreeed temperature for order execution. Example: "25.5" - `temperatures.temperature_data` (object) Defines temperature data for the during order execution. Data available only if the order is temperature controled - `temperatures.temperature_data.temperature_trailer` (number) Temperature of the sensor in trailer Example: "25.5" - `temperatures.temperature_data.timestamp` (string) Timestamp of the temperature reading Example: "2025-05-06T14:30:00Z" ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields